%define gtk3 0
%{?_without_gtk3: %global gtk3 0}
%{?_with_gtk3: %global gtk3 1}

Name:             mate-applet-streamer
Summary:       Online radio streamer applet
Version:          0.3.3
Release:          %mkrel 1
License:          GPLV2+
Group:            Graphical desktop/MATE
URL:                https://github.com/assen-totin/mate-applet-streamer
#Github source, in case of authors website down
#Source0:          https://github.com/assen-totin/mate-applet-streamer/archive/{version}/{name}-{version}.tar.gz
Source0:          http://www.zavedil.com/wp-content/uploads/2015/12/%{name}-%{version}.tar.gz
%if %gtk3
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.14.0
%else
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.24.0
%endif
BuildRequires: pkgconfig(libmatepanelapplet-4.0)
BuildRequires: pkgconfig(libnotify) >= 0.7.0
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(glib-2.0)
# Needed by autoreconf
BuildRequires: gettext-devel

Requires:   mate-panel >= 1.3.0
Requires:   gstreamer1.0-pulse
Requires:   gstreamer1.0-plugins-good

%description
A MATE panel applet to let you play your favorite online radio stations
from your system tray or panel with a single click.
Icecast directory listing in included.

%prep
%autosetup

%build
%configure2_5x \
    %if %gtk3
    --enable-gtk=3.0 \
    %else
    --enable-gtk=2.0 \
    %endif
    --enable-notify=libnotify \
    --enable-gstreamer=1.0

%make_build

%install
%make_install

# Remove docs which are handled by rpm already.
rm -rf  %{buildroot}%{_docdir}

# Remove compiled gschemas rpm filetriggers do this
rm -rf %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%{_libexecdir}/streamer_applet
%{_datadir}/pixmaps/applet_streamer*.png
%{_iconsdir}/hicolor/*/apps/applet_streamer.png
%{_datadir}/mate-panel/applets/org.mate.applets.StreamerApplet.mate-panel-applet
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.StreamerApplet.gschema.xml
%{_datadir}/dbus-1/services/org.mate.panel.applet.StreamerApplet.service
%{_datadir}/streamer_applet/streamer.sqlite
%{_libdir}/bonobo/servers/StreamerAppletFactory.server



%changelog
* Tue Dec 29 2015 tarakbumba <tarakbumba> 0.3.3-1.mga5
+ Revision: 916845
- copy for backport

* Tue Dec 29 2015 tarakbumba <tarakbumba> 0.3.3-1.mga6
+ Revision: 916834
- Update to 0.3.3 version

* Sun Dec 27 2015 tarakbumba <tarakbumba> 0.3.2-1.mga6
+ Revision: 915540
- imported package mate-applet-streamer

